/* Copyright 2008-2011 Research Foundation State University of New York   */

/* This file is part of QUB Express.                                      */

/* QUB Express is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation, either version 3 of the License, or      */
/* (at your option) any later version.                                    */

/* QUB Express is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/* GNU General Public License for more details.                           */

/* You should have received a copy of the GNU General Public License,     */
/* named LICENSE.txt, in the QUB Express program directory.  If not, see  */
/* <http://www.gnu.org/licenses/>.                                        */

#ifndef QUB_KMEANS_H
#define QUB_KMEANS_H

#include "qubfast.h"

#ifdef __cplusplus
extern "C" {
#endif


QUBFAST_API void* qub_kmeans_create(int N, float *weights);
QUBFAST_API void qub_kmeans_free(void *km);
QUBFAST_API void qub_kmeans_add_series(void *km, float *series);
QUBFAST_API double qub_kmeans_cluster(void *km, int *colors);
QUBFAST_API double qub_kmeans_cluster_trials(void *km, int *colors, int k, int trials_per_k);


#ifdef __cplusplus
}
#endif

#endif
